#ifndef SWIFT_UNICODE_UTF8_H
#define SWIFT_UNICODE_UTF8_H

#include <swift/stdlib.h>

#include <swift/unicode/api.h>
#include <swift/unicode/unicode.h>

SWIFT_UNICODE_API size_t swift_enc_utf8(void *dst, swift_uchar_t code);
SWIFT_UNICODE_API swift_unicode_ret_t swift_dec_utf8(const void *src,
	size_t src_size);

#endif /* SWIFT_UNICODE_UTF8_H */
